@echo off

setlocal

set "DriverInfFile=vacgnrkd.inf"
set "DeviceHwId=EuMusDesign_VAC_WDM_gnr"
set "DeviceInstId=Root\{2409b99c-deaf-4c98-8fd2-275c091dec71}\0000"

set Mode=

if /i "%1" == "install" set Mode=install
if /i "%1" == "remove" set Mode=remove

if "%Mode%" == "" (

  echo Parameter 1 must be "install" or "remove"
  pause
  exit /b 1

)

if /i "%PROCESSOR_ARCHITECTURE%" == "x86" (

  set ProcDir=x86

) else if /i "%PROCESSOR_ARCHITECTURE%" == "AMD64" (

  set ProcDir=x64

) else (

  echo Unsupported architechture %PROCESSOR_ARCHITECTURE%
  pause
  exit /b 1

)

for /f "tokens=2 delims=[]" %%S in ('ver') do (

  for /f "tokens=2-5 delims=. " %%A in ("%%S") do (

    set /a Ver1=%%A
    set /a Ver2=%%B
    set /a Ver3=%%C
    rem set /a Ver4=%%D

  )

)

set InfFileSfx=

if %Ver1% LEQ 6 set InfFileSfx=6x

for %%F in ("%DriverInfFile%") do set DriverInfFile=%%~nF%InfFileSfx%%%~xF

if "%Mode%" == "install" (

  for %%D in (.) do (

    ..\wdmdrvmgr\%ProcDir%\wdmdrvmgr -q -h "%DeviceInstId%" -i "%DeviceHwId%" "%%~fD\%DriverInfFile%"

  )

  if errorlevel 1 (

    pause
    exit /b 1

  )

  echo Driver was installed successfully

) else (

  ..\wdmdrvmgr\%ProcDir%\wdmdrvmgr -q -r "%DeviceHwId%"

  if errorlevel 1 (

    pause
    exit /b 1

  )

  echo Driver was removed successfully

)
