__pragma (warning (disable: 4480))



#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_NONSTDC_NO_DEPRECATE
#define STRICT



#define _UStrX(x) L#x
#define _US(x) _UStrX (x)

#define _UStrX2(x) L ## x
#define _UT(x) _UStrX2 (x)

#define NumArrayElems(a) (sizeof (a) / sizeof (*a))


#define Unreferenced (void)


#ifndef nullptr

  __if_not_exists (nullptr) {

    #define nullptr 0

  }

#endif


#ifdef _DEBUG

  #define _Debug 1

#else

  #define _Debug 0

#endif


//
// Define one-time loop condition to prevent C4127 "constant expression" warning

#define While(Cond) \
  __pragma (warning (push)) \
  __pragma (warning (disable:4127)) \
  while (Cond) \
  __pragma (warning (pop)) \

#define WhileFalse While (false)
#define OnlyOnce While (false)
#define WhileTrue While (true)
#define DoForever While (true)



#define Assert(Cond) if (!(Cond)) { \
  fwprintf (stderr, L"Assertion failed: %s, \"%s\", %u", L#Cond, _US (__FILE__), __LINE__); \
}



#define SetBits(v,m) ((v) |= (m))
#define ResetBits(v,m) ((v) &= ~(m))
#define TestBits(e,m) ((e) & (m))
